# List antifraud lists

Retrieves a paginated list of antifraud lists.

Endpoint: POST /antifraud-lists/list
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `filters` (object)
    Filters for antifraud lists.

  - `filters.field` (object)
    Operator and value for field filter.

  - `filters.field.operator` (string, required)
    Comparison operator.
    Enum: "EQ"

  - `filters.field.value` (string, required)
    Field for antifraud list.
    Enum: "IP_ADDRESS", "CUSTOMER_EMAIL", "CUSTOMER_ID", "CARDHOLDER", "CARD_ID"

  - `pagination` (object, required)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: "eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ=="

## Response 200 fields (application/json):

  - `items` (array, required)
    List of antifraud lists for the current page.

  - `items.id` (string, required)
    Unique antifraud list identifier.
    Example: "01KBPMZVN946M2HRV0D8BBBBBB"

  - `items.name` (string, required)
    Name of the antifraud list.
    Example: "Trusted emails"

  - `items.field` (string, required)
    Field for antifraud list.
    Enum: same as `filters.field.value` (5 values)

  - `items.created_at` (string, required)
    Date and time when the antifraud list was created.
    Example: "2024-01-01T10:00:00.000000Z"

  - `items.updated_at` (string, required)
    Date and time when the antifraud list was updated.
    Example: "2024-01-02T15:00:00.000000Z"

  - `pagination` (object, required)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: "eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ=="

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: "One or more fields failed validation due to constraints"

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

  - `context.constraints` (object, required)
    Failed constraints keyed by the field name.
    Example: {"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: "Credentials are invalid or missing"

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: "Permission denied"

## Response 422 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Example: "INCOMPATIBLE_STATUS"

  - `message` (string, required)
    Message describing the error.
    Example: "The request conflicts with the current state"

  - `context` (object)
    Additional error context.


